<?php

/* Default */
FLCustomizer::add_preset('default', array(
	'name'      => 'Default',
	'skin'      => 'default',
	'settings'  => array()
));

/* Default Dark */
FLCustomizer::add_preset('default-dark', array(
	'name'      => 'Default Dark',
	'skin'      => 'default',
	'settings'  => array(
		'fl-body-bg-color'             	=> '#282a2e',
		'fl-accent'                 	=> '#95bf48',
		'fl-accent-hover'           	=> '#95bf48',
		'fl-heading-text-color'     	=> '#95bf48',
		'fl-topbar-bg-color'        	=> '#3e4147',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#95bf48',
		'fl-header-bg-color'        	=> '#282a2e',
		'fl-header-text-color'			=> '#a6a6a6',
		'fl-header-link-color'			=> '#a6a6a6',
		'fl-header-hover-color'			=> '#95bf48',
		'fl-nav-bg-color'           	=> '#282a2e',
		'fl-nav-link-color'				=> '#a6a6a6',
		'fl-nav-hover-color'			=> '#95bf48',
		'fl-footer-widgets-bg-color'	=> '#282a2e',
		'fl-footer-widgets-text-color'	=> '#a6a6a6',
		'fl-footer-widgets-link-color'	=> '#95bf48',
		'fl-footer-widgets-hover-color'	=> '#95bf48',
		'fl-footer-bg-color'			=> '#282a2e',
		'fl-footer-text-color'			=> '#a6a6a6',
		'fl-footer-link-color'			=> '#95bf48',
		'fl-footer-hover-color'			=> '#95bf48'
	)
));

/* Classic */
FLCustomizer::add_preset('classic', array(
	'name'      => 'Classic',
	'skin'      => 'default',
	'settings'  => array(
		'fl-layout-width'               => 'boxed',
		'fl-layout-spacing'             => '30',
		'fl-layout-shadow-size'         => '15',
		'fl-layout-shadow-color'        => '#d9d9d9',
		'fl-accent'                     => '#483182',
		'fl-accent-hover'               => '#483182',
		'fl-body-bg-color'              => '#efefe9',
		'fl-topbar-link-color'			=> '#483182',
		'fl-topbar-hover-color'			=> '#483182',
		'fl-header-layout'              => 'bottom',
		'fl-header-hover-color'			=> '#483182',
		'fl-nav-bg-color'               => '#483182',
		'fl-nav-link-color'				=> '#c8c2da',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-link-color'	=> '#483182',
		'fl-footer-widgets-hover-color'	=> '#483182',
		'fl-footer-link-color'			=> '#483182',
		'fl-footer-hover-color'			=> '#483182'
	)
));

/* Modern */
FLCustomizer::add_preset('modern', array(
	'name'      => 'Modern',
	'skin'      => 'modern',
	'settings'  => array(
		'fl-layout-width'              	=> 'boxed',
		'fl-layout-shadow-size'        	=> '15',
		'fl-accent'                    	=> '#cf6713',
		'fl-accent-hover'              	=> '#cf6713',
		'fl-topbar-bg-color'           	=> '#333333',
		'fl-topbar-bg-gradient'        	=> '1',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-hover-color'			=> '#cf6713',
		'fl-nav-bg-color'              	=> '#fafafa',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-hover-color'			=> '#cf6713',
		'fl-footer-bg-color'           	=> '#333333',
		'fl-footer-widgets-bg-color'   	=> '#fafafa',
		'fl-footer-widgets-link-color'	=> '#cf6713',
		'fl-footer-widgets-hover-color'	=> '#cf6713',
		'fl-footer-text-color'			=> '#a6a6a6',
		'fl-footer-link-color'			=> '#a6a6a6',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Bold */
FLCustomizer::add_preset('bold', array(
	'name'      => 'Bold',
	'skin'      => 'default',
	'settings'  => array(
		'fl-topbar-bg-color'           	=> '#326796',
		'fl-topbar-text-color'			=> '#c2d2e0',
		'fl-topbar-link-color'			=> '#c2d2e0',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '#326796',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#c2d2e0',
		'fl-header-link-color'			=> '#c2d2e0',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#428bca',
		'fl-nav-link-color'				=> '#c2d2e0',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '#326796',
		'fl-footer-widgets-text-color'	=> '#c2d2e0',
		'fl-footer-widgets-link-color'	=> '#c2d2e0',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '#428bca',
		'fl-footer-text-color'			=> '#c2d2e0',
		'fl-footer-link-color'			=> '#c2d2e0',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Stripe */
FLCustomizer::add_preset('stripe', array(
	'name'      => 'Stripe',
	'skin'      => 'default',
	'settings'  => array(
		'fl-body-bg-color'             	=> '#e6e6e6',
		'fl-topbar-bg-color'           	=> '#fafafa',
		'fl-header-layout'             	=> 'bottom',
		'fl-nav-bg-color'              	=> '#385f82',
		'fl-nav-link-color'			   	=> '#c4cfda',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '#fafafa',
		'fl-footer-bg-color'           	=> '#385f82',
		'fl-footer-text-color'			=> '#c4cfda',
		'fl-footer-link-color'			=> '#c4cfda',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Deluxe */
FLCustomizer::add_preset('deluxe', array(
	'name'      => 'Deluxe',
	'skin'      => 'deluxe',
	'settings'  => array(
		'fl-accent'                    	=> '#657f8c',
		'fl-accent-hover'              	=> '#657f8c',
		'fl-body-bg-color'             	=> '#efefe9',
		'fl-topbar-bg-color'           	=> '#657f8c',
		'fl-topbar-bg-gradient'        	=> '1',
		'fl-topbar-text-color'			=> '#d5dce0',
		'fl-topbar-link-color'			=> '#d5dce0',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'centered',
		'fl-header-bg-color'           	=> '#1f1f1f',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#a6a6a6',
		'fl-header-link-color'			=> '#a6a6a6',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#333333',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#a6a6a6',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '#1f1f1f',
		'fl-footer-widgets-bg-gradient' => '0',
		'fl-footer-widgets-text-color'	=> '#a6a6a6',
		'fl-footer-widgets-link-color'	=> '#a6a6a6',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '#657f8c',
		'fl-footer-bg-gradient' 		=> '0',
		'fl-footer-text-color'			=> '#d5dce0',
		'fl-footer-link-color'			=> '#d5dce0',
		'fl-footer-hover-color'			=> '#ffffff'
		
	)
));

/* Premier */
FLCustomizer::add_preset('premier', array(
	'name'      => 'Premier',
	'skin'      => 'premier',
	'settings'  => array(
		'fl-accent'                    	=> '#319753',
		'fl-accent-hover'              	=> '#319753',
		'fl-body-bg-color'             	=> '#262626',
		'fl-topbar-bg-color'           	=> '',
		'fl-topbar-text-color'			=> '#a6a6a6',
		'fl-topbar-link-color'			=> '#a6a6a6',
		'fl-topbar-hover-color'			=> '#ffffff',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '#262626',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#a6a6a6',
		'fl-header-link-color'			=> '#a6a6a6',
		'fl-header-hover-color'			=> '#ffffff',
		'fl-nav-bg-color'              	=> '#319753',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#c4e3ce',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-footer-widgets-bg-color'   	=> '',
		'fl-footer-widgets-text-color'	=> '#a6a6a6',
		'fl-footer-widgets-link-color'	=> '#a6a6a6',
		'fl-footer-widgets-hover-color'	=> '#ffffff',
		'fl-footer-bg-color'           	=> '',
		'fl-footer-text-color'			=> '#a6a6a6',
		'fl-footer-link-color'			=> '#a6a6a6',
		'fl-footer-hover-color'			=> '#ffffff'
	)
));

/* Dusk */
FLCustomizer::add_preset('dusk', array(
	'name'      => 'Dusk',
	'skin'      => 'premier',
	'settings'  => array(
		'fl-layout-width'              	=> 'boxed',
		'fl-accent'                    	=> '#cc3f26',
		'fl-accent-hover'              	=> '#cc3f26',
		'fl-heading-text-color'        	=> '#e6e6e6',
		'fl-body-bg-color'             	=> '#1a1a1a',
		'fl-body-text-color'           	=> '#999999',
		'fl-topbar-bg-color'           	=> '#262626',
		'fl-topbar-text-color'			=> '#999999',
		'fl-topbar-link-color'			=> '#999999',
		'fl-topbar-hover-color'			=> '#cc3f26',
		'fl-header-layout'             	=> 'bottom',
		'fl-header-bg-color'           	=> '',
		'fl-header-text-color'			=> '#999999',
		'fl-header-link-color'			=> '#999999',
		'fl-header-hover-color'			=> '#cc3f26',
		'fl-nav-bg-color'              	=> '#cc3f26',
		'fl-nav-bg-gradient'           	=> '1',
		'fl-nav-link-color'				=> '#f1c8c2',
		'fl-nav-hover-color'			=> '#ffffff',
		'fl-content-bg-color'          	=> '#262626',
		'fl-footer-widgets-bg-color'   	=> '',
		'fl-footer-widgets-text-color'	=> '#999999',
		'fl-footer-widgets-link-color'	=> '#cc3f26',
		'fl-footer-widgets-hover-color'	=> '#cc3f26',
		'fl-footer-bg-color'           	=> '',
		'fl-footer-text-color'			=> '#999999',
		'fl-footer-link-color'			=> '#cc3f26',
		'fl-footer-hover-color'			=> '#cc3f26'
	)
));

/* Midnight */
FLCustomizer::add_preset('midnight', array(
	'name'      => 'Midnight',
	'skin'      => 'modern',
	'settings'  => array(
		'fl-layout-width'              	=> 'boxed',
		'fl-heading-text-color'        	=> '#e6e6e6',
		'fl-body-bg-color'             	=> '#1a1a1a',
		'fl-body-text-color'           	=> '#999999',
		'fl-topbar-bg-color'           	=> '',
		'fl-topbar-text-color'			=> '#999999',
		'fl-topbar-link-color'			=> '#999999',
		'fl-topbar-hover-color'			=> '#428bca',
		'fl-header-bg-color'           	=> '#262626',
		'fl-header-bg-gradient'        	=> '1',
		'fl-header-text-color'			=> '#999999',
		'fl-header-link-color'			=> '#999999',
		'fl-header-hover-color'			=> '#428bca',
		'fl-nav-bg-color'              	=> '#262626',
		'fl-nav-link-color'				=> '#999999',
		'fl-nav-hover-color'			=> '#428bca',
		'fl-content-bg-color'          	=> '#262626',
		'fl-footer-widgets-bg-color'   	=> '',
		'fl-footer-widgets-text-color'	=> '#999999',
		'fl-footer-widgets-link-color'	=> '#999999',
		'fl-footer-widgets-hover-color'	=> '#428bca',
		'fl-footer-bg-color'           	=> '',
		'fl-footer-text-color'			=> '#999999',
		'fl-footer-link-color'			=> '#999999',
		'fl-footer-hover-color'			=> '#428bca'
	)
));